[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.AutoSize

Allows automatic adjustment of the size for the control, according to its content.

## Declaration

Source position: stdctrls.pp line 858

`public property TCustomEdit.AutoSize : Boolean default True;`

## Description

The action performed depends on the control type. For example, a label or button can become bigger or smaller to accommodate a longer or shorter caption. The default value for the property is True in TCustomEdit. and enables auto-sizing the control instance to its content.

## See also

TControl.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.